Create a new dataset
curl --request POST \
--url https://api.friendli.ai/beta/dataset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"projectId": "<string>",
"modality": {
"input_modals": [],
"output_modals": []
}
}
'{
"id": 123,
"name": "dataset-name",
"created_at": 1705244400,
"updated_at": 1765724399
}Dataset
Create a new dataset
Create a new dataset in Friendli Suite via the API. Initialize a dataset resource to organize training and evaluation data with splits and versions.
POST
/
beta
/
dataset
Create a new dataset
curl --request POST \
--url https://api.friendli.ai/beta/dataset \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"projectId": "<string>",
"modality": {
"input_modals": [],
"output_modals": []
}
}
'{
"id": 123,
"name": "dataset-name",
"created_at": 1705244400,
"updated_at": 1765724399
}Create a new dataset. To request successfully, it is required to enter a Personal API Key (e.g. flp_XXX) in the Bearer Token field. Refer to the authentication section on our introduction page to learn more and visit here to generate your API Key.Documentation Index
Fetch the complete documentation index at: https://friendli.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
This API is currently in Beta.
While we strive to provide a stable and reliable experience, this feature is still under active development.
As a result, you may encounter unexpected behavior or limitations.
We encourage you to provide feedback to help us improve the feature before its official release.
Authorizations
Headers
ID of team to run requests as (optional parameter).
Body
application/json
Create dataset request.
Name of the dataset.
ID of the project.
Response
OK
Dataset info.
ID of the dataset.
Name of the dataset.
Unix timestamp (in seconds) of when the dataset was created.
Unix timestamp (in seconds) of when the dataset was last modified.
Last modified on April 29, 2026
⌘I